import win32com.client
from pathlib import Path


class transformer11:
    def __init__(self):
        self.tr = win32com.client.Dispatch('IBMCognosTransformer.ApplicationCtrl.1')
        print(self.tr.Version)
        self.tr.Visible = True

    def open(self, file, format=None):
        filename = Path(file).resolve()
        print(filename)
        self.tr.OpenModel(filename)


if __name__ == '__main__':
    transformer11().open('Transformer11\\V_Verkauf.pyj')
